package com.gingersoft.gsa.cloud.table.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/6/6
 * 修订历史：2019/6/6
 * 描述：
 */
public class RefundRespose {

//    private int id;
//    private String amount;
//    private String tipsprice;
//    private int paytype;
//    private double paysales;
//    private String name;

    //N5取消回调数据

    private String EVENT_NAME;
    private String TXN_ID;
    private double TXN_AMT;
    private String RESP_CODE;
    private String TRACE_NO;
    private String TXN_TIME;
    private String TXN_DATE;
    private String HOST_REF;
    private String STATUS;

    public RefundRespose() {
    }


    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public double getTXN_AMT() {
        return TXN_AMT;
    }

    public void setTXN_AMT(double TXN_AMT) {
        this.TXN_AMT = TXN_AMT;
    }

    public String getRESP_CODE() {
        return RESP_CODE;
    }

    public void setRESP_CODE(String RESP_CODE) {
        this.RESP_CODE = RESP_CODE;
    }

    public String getTRACE_NO() {
        return TRACE_NO;
    }

    public void setTRACE_NO(String TRACE_NO) {
        this.TRACE_NO = TRACE_NO;
    }

    public String getTXN_TIME() {
        return TXN_TIME;
    }

    public void setTXN_TIME(String TXN_TIME) {
        this.TXN_TIME = TXN_TIME;
    }

    public String getTXN_DATE() {
        return TXN_DATE;
    }

    public void setTXN_DATE(String TXN_DATE) {
        this.TXN_DATE = TXN_DATE;
    }

    public String getHOST_REF() {
        return HOST_REF;
    }

    public void setHOST_REF(String HOST_REF) {
        this.HOST_REF = HOST_REF;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }


    @Override
    public String toString() {
        return "RefundRespose{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", TXN_AMT=" + TXN_AMT +
                ", RESP_CODE='" + RESP_CODE + '\'' +
                ", TRACE_NO='" + TRACE_NO + '\'' +
                ", TXN_TIME='" + TXN_TIME + '\'' +
                ", TXN_DATE='" + TXN_DATE + '\'' +
                ", HOST_REF='" + HOST_REF + '\'' +
                ", STATUS='" + STATUS + '\'' +
                '}';
    }
}
